     ACRONYM { font-weight: bold; font-family: Arial,sans-serif;  fhtype: character; }
     ADDRESS { font-size: 8pt ; margin: 0pt  0pt  1px  0pt ; font-family: Courier New,sans-serif;  }
     .BannerBase { font-size: 16pt ; font-weight: bold; color: #ff8000; margin: 0pt  0pt  1px  0pt ; text-indent: 0.1in ; background-color: #fff6e7; padding-top: 6pt ; padding-bottom: 6pt ; font-family: Arial,sans-serif;  fhname: "Banner Base"; }
     .Base { font-size: 10pt ; margin: 0pt  0pt  1px  0pt ; font-family: Arial,sans-serif;  }
     .Base1 { font-size: 10pt ; margin: 0pt  0pt  1px  0pt ; font-family: System,sans-serif;  fhname: "Base#1"; }
     .Base111 { font-size: 10pt ; margin: 0pt  0pt  1px  0pt ; font-family: System,sans-serif;  fhname: "Base#1#1#1"; }
     .Base2 { font-size: 10pt ; margin: 0pt  0pt  1px  0pt ; font-family: Arial,sans-serif;  fhname: "Base#2"; }
     .Base21 { font-size: 10pt ; margin: 0pt  0pt  1px  0pt ; font-family: System,sans-serif;  fhname: "Base#2#1"; }
     BODY { font-size: 10pt ; margin: 5pt  0.0687in  5pt  0.0687in ; font-family: Arial,sans-serif;  }
     BQ { font-size: 10pt ; margin: 0pt  18pt  1px  18pt ; font-family: Arial,sans-serif;  }
     .Bullet1 { margin: 3pt  0pt  1px  0pt;  }
     .Bullet2 { margin: 0pt  0pt  1px  27pt ; text-indent: -27pt ;  }
     .Bullet3 { margin: 0pt  0pt  1px  27pt ; text-indent: -27pt ;  }
     .Bullet4 { margin: 0pt  0pt  1px  0pt;  }
     .Bullet5 { margin: 0pt  0pt  1px  0pt;  }
     .ButtonBar { font-size: 6pt ; font-weight: bold; color: #ff8000; margin: 0pt  0pt  1px  -0.1in ; text-indent: 0.1in ; background-color: #fff6e7; padding-top: 6pt ; padding-bottom: 6pt ;  fhname: "Button Bar"; }
     CITE { font-style: italic; font-family: Arial,sans-serif;  fhtype: character; }
     CODE { font-size: 10pt ; font-family: Courier New,sans-serif;  fhtype: character; }
     .Controls { font-weight: bold; color: #800080; margin: 9pt  0pt  1px  0pt ;  }
     DD { font-size: 10pt ; margin: 0pt  0pt  1px  18pt ; font-family: Arial,sans-serif;  }
     .DefaultParagraphFont { font-size: 10pt ; font-family: Arial,sans-serif;  fhname: "Default Paragraph Font"; fhtype: character; }
     .DefaultParagraphFont1 {  fhname: "Default Paragraph Font#1"; fhtype: character; }
     .DefinitionList { font-size: 12pt ; margin: 0pt  0pt  1px  18pt ; font-family: Times New Roman,sans-serif;  fhname: "Definition List"; }
     .DefinitionTerm { font-size: 12pt ; margin: 0pt  0pt  1px  0pt ; font-family: Times New Roman,sans-serif;  fhname: "Definition Term"; }
     DFN { font-style: italic; font-family: Arial,sans-serif;  fhtype: character; }
     DIR { font-size: 10pt ; margin: 0pt  0pt  1px  18pt ; font-family: Arial,sans-serif;  }
     DL { font-size: 10pt ; margin: 12pt  0pt  1px  0pt ; font-family: Arial,sans-serif;  }
     DT { font-size: 10pt ; font-style: italic; color: #0000ff; margin: 6pt  0pt  1px  9pt ; font-family: Courier New,sans-serif;  }
     EM { font-style: italic; font-family: Arial,sans-serif;  fhtype: character; }
     .Example { font-size: 11pt ; margin: 0pt  0pt  1px  0pt ; font-family: Courier New,sans-serif;  }
     .Flags { font-weight: bold; color: #800080; margin: 3pt  0pt  6pt  0pt ;  }
     .footnotereference { font-size: 10pt ; vertical-align: super; font-family: Arial,sans-serif;  fhname: "footnote reference"; fhtype: character; }
     H1 { font-size: 24pt ; font-weight: bold; margin: 0pt  0pt  12pt  0pt ; font-family: Arial,sans-serif;  }
     H2 { font-size: 18pt ; font-weight: bold; margin: 0pt  0pt  12pt  0pt ; font-family: Arial,sans-serif;  }
     H3 { font-size: 14pt ; font-weight: bold; margin: 0pt  0pt  12pt  0pt ; font-family: Arial,sans-serif;  }
     H4 { font-size: 12pt ; font-weight: bold; margin: 0pt  0pt  12pt  0pt ; font-family: Arial,sans-serif;  }
     H5 { font-size: 10pt ; font-weight: bold; margin: 0pt  0pt  12pt  0pt ; font-family: Arial,sans-serif;  }
     H6 { font-size: 8pt ; font-weight: bold; margin: 0pt  0pt  12pt  0pt ; font-family: Arial,sans-serif;  }
     .HTMLBASE { font-size: 10pt ; margin: 0pt  0pt  1px  0pt ; font-family: Arial,sans-serif;  }
     .JumpText { font-size: 10pt ; text-decoration: underline ; color: #008000; font-family: Arial,sans-serif;  fhname: "Jump Text"; fhtype: character; }
     .JumpTextx { font-size: 12pt ; font-family: System,sans-serif;  fhname: "Jump Text x"; fhtype: character; }
     .JumpText1 { font-size: 10pt ; text-decoration: underline ; color: #008000; font-family: Arial,sans-serif;  fhname: "Jump Text#1"; fhtype: character; }
     .JumpText2 { font-size: 10pt ; text-decoration: underline ; color: #008000; font-family: Arial,sans-serif;  fhname: "Jump Text#2"; fhtype: character; }
     .JumpText3 { font-size: 10pt ; text-decoration: underline ; color: #008000; font-family: System,sans-serif;  fhname: "Jump Text#3"; fhtype: character; }
     KBD { font-weight: bold; font-family: Courier New,sans-serif;  fhtype: character; }
     .Lb1 { margin: 3pt  0pt  1px  0.5631in ; text-indent: -18pt ;  }
     LISTING { font-size: 8pt ; margin: 0pt  0pt  1px  0pt ; font-family: Courier New,sans-serif;  }
     MENU { font-size: 10pt ; margin: 0pt  0pt  1px  18pt ; font-family: Arial,sans-serif;  }
     .Normal { font-size: 10pt ; margin: 0pt  0pt  1px  0pt ; font-family: Times New Roman,sans-serif;  }
     .Normal1 { font-size: 12pt ; margin: 5pt  0pt  5pt  0pt ; font-family: Times New Roman,sans-serif;  fhname: "Normal#1"; }
     .Note { font-size: 10pt ; font-weight: bold; margin: 12pt  0pt  3pt  0pt ;  }
     .Note1 { font-weight: bold; margin: 12pt  0pt  1px  0pt ;  fhname: "Note#1"; }
     .Note2 { font-weight: bold; margin: 12pt  0pt  3pt  0pt ; font-family: System,sans-serif;  fhname: "Note#2"; }
     .NoTranslate {  fhtype: character; }
     .Number1 { margin: 2pt  0pt  1px  18pt ; text-indent: -18pt ;  }
     .Number11 { margin: 2pt  0pt  1px  18pt ; text-indent: -18pt ; font-family: System,sans-serif;  fhname: "Number1#1"; }
     .Number111 { margin: 2pt  0pt  1px  18pt ; text-indent: -18pt ;  fhname: "Number1#1#1"; }
     .Number2 { margin: 0pt  0pt  1px  27pt ; text-indent: -27pt ;  }
     .Number3 { margin: 0pt  0pt  1px  54pt ; text-indent: -27pt ;  }
     .Number4 { margin: 0pt  0pt  1px  81pt ; text-indent: -27pt ;  }
     .Number5 { margin: 0pt  0pt  1px  108pt ; text-indent: -27pt ;  }
     OL { font-size: 10pt ; font-family: Arial,sans-serif;  }
     .Only { font-size: 10pt ; font-weight: bold; color: #ff0000; text-align: right; margin: 0pt  0pt  1px  0pt ; font-family: Arial,sans-serif;  }
     .Only1 { font-weight: bold; color: #ff0000; text-align: right; margin: 0pt  0pt  1px  0pt ; font-family: System,sans-serif;  fhname: "Only#1"; }
     P { font-size: 10pt ; margin: 0pt  0pt  12pt  0pt ; font-family: Arial,sans-serif;  }
     PRE { font-size: 10pt ; margin: 0pt  0pt  1px  0pt ; font-family: Courier New,sans-serif;  }
     Q { font-weight: bold; font-family: Arial,sans-serif;  fhtype: character; }
     SAMP { font-weight: bold; font-family: Arial,sans-serif;  fhtype: character; }
     STRONG { font-weight: bold; font-family: Arial,sans-serif;  fhtype: character; }
     .Syntax { font-size: 11pt ; color: #0000ff; margin: 0pt  0pt  1px  0pt ; font-family: Courier New,sans-serif;  }
     .Syntax1 { font-size: 11pt ; color: #0000ff; margin: 0pt  0pt  1px  72pt ; text-indent: -0.921in ; font-family: Courier New,sans-serif;  fhname: "Syntax#1"; }
     .Syntax2 { font-size: 11pt ; color: #0000ff; margin: 0pt  0pt  1px  0pt ; font-family: Courier New,sans-serif;  fhname: "Syntax#2"; }
     TT { font-family: Courier New,sans-serif;  fhtype: character; }
     UL { font-size: 10pt ; font-family: Arial,sans-serif;  }
     VAR { font-style: italic; font-family: Arial,sans-serif;  fhtype: character; }
     .Verbs { font-size: 10pt ; font-weight: bold; font-family: Arial,sans-serif;  fhtype: character; }
     XMP { font-size: 10pt ; margin: 0pt  0pt  1px  0pt ; font-family: Courier New,sans-serif;  }
